diff --git a/database-prepare-for-0.0.1.sh b/database-prepare-for-0.0.1.sh
index 17c0c5f34e3cbafc3ced11ad7ea8daf5deb77059..43d759a5cdb1849305853b2d96bc76fd28b68fed 100755
--- a/database-prepare-for-0.0.1.sh
+++ b/database-prepare-for-0.0.1.sh
@@ -4,6 +4,8 @@
 # It will store all the user information, but will *delete* all messages and
 # room data.
 
+set -e
+
 cp "$1" "$1.bak"
 
 DUMP=$(sqlite3 "$1" << 'EOF'